libmwaw Namespace Reference

namespace used to regroup all libwpd functions, enumerations which we have redefined for internal usage More...

## Namespaces

| Debug
| debugging tools

## Classes

class | VersionException
class | FileException
class | ParseException
class | GenericException
class | WrongPasswordException
class | DebugFile
| an interface used to insert comment in a binary file, written in ascii form (if debug_with_files is not defined, does nothing) More...
struct | PrinterRectResolution
| Internal: structure used to keep a rectangle with its resolution. More...
struct | PrinterStyle
| Internal: structure used to keep the printer style information. More...
struct | PrinterJob
| Internal: structure used to keep a printer job. More...
struct | PrinterInfoData
| internal structure used to keep TPrint content More...
struct | PrinterRect
| the AppleŠ rectangle : Rect More...
struct | PrinterInfo
| the AppleŠ printer information : TPrint More...

## Typedefs

typedef std::stringstream | DebugStream
| a basic stream (if debug_with_files is not defined, does nothing) More...

## Enumerations

enum | Position { Left = 0, Right = 1, Top = 2, Bottom = 3, HMiddle = 4, VMiddle = 5 }
| basic position enum More...
enum | { LeftBit = 0x01, RightBit = 0x02, TopBit =0x4, BottomBit = 0x08, HMiddleBit = 0x10, VMiddleBit = 0x20 }
| basic position enum bits More...
enum | NumberingType { NONE, BULLET, ARABIC, LOWERCASE, UPPERCASE, LOWERCASE_ROMAN, UPPERCASE_ROMAN }
enum | SubDocumentType { DOC_NONE, DOC_HEADER_FOOTER, DOC_NOTE, DOC_TABLE, DOC_TEXT_BOX, DOC_COMMENT_ANNOTATION }

## Functions

uint8_t | readU8 (WPXInputStream *input)
void | appendUnicode (uint32_t val, WPXString &buffer)
| adds an unicode character to a string More...
std::string | numberingTypeToString (NumberingType type)
std::string | numberingValueToString (NumberingType type, int value)
std::ostream & | operator<< (std::ostream &o, PrinterInfo const &r)
| operator<< for a PrinterInfo More...

## Variables

static uint32_t const | s_SJIS_encoding []
| SJIS conversion table: c,unicode[c]. More...
static uint32_t const | s_SJIS_encoding2 []
| SJIS conversion table for code with 2 entries(actually, ignored): c,unicode[c],unicode[c1]. More...

## Detailed Description

namespace used to regroup all libwpd functions, enumerations which we have redefined for internal usage

some basic tools

## Typedef Documentation

typedef std::stringstream libmwaw::DebugStream

a basic stream (if debug_with_files is not defined, does nothing)

## Enumeration Type Documentation

anonymous enum

basic position enum bits

Enumerator
LeftBit |
RightBit |
TopBit |
BottomBit |
HMiddleBit |
VMiddleBit |

enum libmwaw::NumberingType

Enumerator
NONE |
BULLET |
ARABIC |
LOWERCASE |
UPPERCASE |
LOWERCASE_ROMAN |
UPPERCASE_ROMAN |

enum libmwaw::Position

basic position enum

Enumerator
Left |
Right |
Top |
Bottom |
HMiddle |
VMiddle |

enum libmwaw::SubDocumentType

Enumerator
DOC_NONE |
DOC_HEADER_FOOTER |
DOC_NOTE |
DOC_TABLE |
DOC_TEXT_BOX |
DOC_COMMENT_ANNOTATION |

## Function Documentation

void libmwaw::appendUnicode | ( | uint32_t | val,
|  | WPXString & | buffer
| ) |  |

adds an unicode character to a string

Referenced by MWAWTabStop::addTo(), ACParser::getMainList(), MWAWContentListener::insertUnicode(), MORText::readCustomListLevel(), MDWParser::readHeadingCustom(), MSK4Text::readParagraph(), MRWText::readRulers(), MDWParserInternal::ZoneInfo::updateListId(), CWTextInternal::Paragraph::updateListLevel(), and MORTextInternal::Paragraph::updateToFinalState().

std::string libmwaw::numberingTypeToString | ( | NumberingType | type | ) |

Referenced by MWAWContentListener::insertField(), and NSParserInternal::operator<<().

std::string libmwaw::numberingValueToString | ( | NumberingType | type,
|  | int | value
| ) |  |

Referenced by NSParser::getReferenceData().

std::ostream& libmwaw::operator<< | ( | std::ostream & | o,
|  | PrinterInfo const & | r
| ) |  |

operator<< for a PrinterInfo

uint8_t libmwaw::readU8 | ( | WPXInputStream * | input | ) |

## Variable Documentation

uint32_t const libmwaw::s_SJIS_encoding[]

static

SJIS conversion table: c,unicode[c].

Referenced by MWAWFontSJISConverter::initMap().

uint32_t const libmwaw::s_SJIS_encoding2[]

static

Initial value:
= {
0x82F5,0x304B,0x309A, 0x82F6,0x304D,0x309A, 0x82F7,0x304F,0x309A, 0x82F8,0x3051,0x309A, 0x82F9,0x3053,0x309A,
0x8397,0x30AB,0x309A, 0x8398,0x30AD,0x309A, 0x8399,0x30AF,0x309A, 0x839A,0x30B1,0x309A, 0x839B,0x30B3,0x309A,
0x839C,0x30BB,0x309A, 0x839D,0x30C4,0x309A, 0x839E,0x30C8,0x309A, 0x83F6,0x31F7,0x309A, 0x8663,0x00E6,0x0300,
0x8667,0x0254,0x0300, 0x8668,0x0254,0x0301, 0x8669,0x028C,0x0300, 0x866A,0x028C,0x0301, 0x866B,0x0259,0x0300,
0x866C,0x0259,0x0301, 0x866D,0x025A,0x0300, 0x866E,0x025A,0x0301, 0x8685,0x02E9,0x02E5, 0x8686,0x02E5,0x02E9
}

SJIS conversion table for code with 2 entries(actually, ignored): c,unicode[c],unicode[c1].

Referenced by MWAWFontSJISConverter::initMap().